[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[K12OSN] Security update for DHCP



There was a serious security bug discovered in DHCP 3.0.

K12LTSP version 2.0.0 and later use DHCP 3.0.

K12LTSP versions 1.0 and 1.1 are not affected.

To check which version of DHCP you have installed, please run the following
command:

	rpm -q dhcp

If you have DHCP 3.0 installed, please upgrade as soon as possible.



The recommended upgrade proceedure is:

 1) make a backup copy of your /etc/dhcpd.conf file

		cp /etc/dhcpd.conf /etc/dhcpd.conf.BACKUP

 2) stop dhcpd

		/sbin/service dhcp stop

 3) upgrade the RPM package:

		rpm -Uhv ftp://k12linux.mesd.k12.or.us/pub/distributions/K12LTSP-updates/dhcp-3.0.1rc9-1.i386.rpm

 4) verify your /etc/dhcpd.conf file. If it is missing, copy your backup

		cp /etc/dhcpd.conf.BACKUP /etc/dhcpd.conf

 5) restart dhcpd

		/sbin/service dhcp start

-Eric





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]